jsonResponse:
  type: object
  properties:

    ############################################################################

    async:
      type: boolean
      description: This element is set to 'true' in case of an asyncchronous request.

    ############################################################################

    errorcode:
      type: integer
      format: int32
      description: The error code after performing the requested operation. The value will be 0 in case of sucess.

    ############################################################################

    cachehash:
      type: string
      description: The hash value of the requested cache object

    ############################################################################

    inputfilehash:
      type: string
      description: The hash value of the source document

    ############################################################################

    locale:
      type: string
      description: The used localed for the conversion.

    ############################################################################

    jobid:
      type: string
      description: The job id for a stateful conversion. To be used in subsequent calls.

    ############################################################################

    pagecount:
      type: integer
      format: int16
      description: The number of pages, contained in the result document.

    ############################################################################

    originalPageCount:
      type: integer
      format: int16
      description: The number of pages, contained in the source document.

    ############################################################################

    pagenumber:
      type: integer
      format: int16
      description: The number of the currently returned page.

    ############################################################################

    mimetype:
      type: string
      description: The mime type of the result document.

    ############################################################################

    extension:
      type: string
      description: The file format extension of the result document.

    ############################################################################

    passwordprotected:
      type: boolean
      description: Set to 'true' in case the source document is password protected.

    ############################################################################

    maxsourcesize:
      type: boolean
      description: Set to 'true' in case the source document's size exceeded the maximum configured source document length.

    ############################################################################

    unsupported:
      type: boolean
      description: Set to 'true' in case the source document has an unsupported format.

    ############################################################################

    result:
      type: string
      description: Contains the data URL of the result document.


############################################################################

statusResponse:
  type: object
  properties:
    server:
      type: object
      properties:

        id:
          type: string
          description: The unique id of a DocumentConverter server. Is always'10f3d443-c8b9-4149-a15c-415a6fc63fba'.

        ############################################################################

        api:
          type: integer
          format: int32
          description: The current version number of the provided DocumentConverter HTTP API.

        ############################################################################

        status:
          type: string
          description: The textual representation of the current server status.

        ############################################################################

        engineStatus:
          type: object
          properties:
            READERENGINE:
              type: object
              properties:
                totalCount:
                  type: integer
                  format: int32
                  description: The number of configured backends of the specified type.
                runningCount:
                  type: integer
                  format: int32
                  description: The number of running backends of the specified type.
            PDFTOOL:
              type: object
              properties:
                totalCount:
                  type: integer
                  format: int32
                  description: The number of configured backends of the specified type.
                runningCount:
                  type: integer
                  format: int32
                  description: The number of running backends of the specified type.
             
              
